Groovy Documentation

## org.codehaus.groovy.grails.web.util
[Java] Class GrailsPrintWriter

    java.lang.Object
      java.io.Writer
          java.io.PrintWriter
              org.codehaus.groovy.grails.web.util.GrailsPrintWriter

    public class GrailsPrintWriter
    extends java.io.PrintWriter

PrintWriter implementation that doesn't have synchronization. null object references are ignored in print methods (nothing gets printed)

Authors:
  Lari Hotari, Sagire Software Oy

Field Summary
`protected static char[]` | `CRLF`
`protected static Log` | `LOG`
`protected boolean` | `allowUnwrappingOut`
`protected java.io.Writer` | `out`
`protected boolean` | `trouble`
`protected boolean` | `usageFlag`

Constructor Summary
`GrailsPrintWriter(java.io.Writer out)`

Method Summary
`java.io.PrintWriter` | `append(char c)`
`java.io.PrintWriter` | `append(java.lang.CharSequence csq, int start, int end)`
`java.io.PrintWriter` | `append(java.lang.CharSequence csq)`
`GrailsPrintWriter` | `append(java.lang.Object obj)`
`void` | `append(StreamCharBuffer otherBuffer)`
`boolean` | `checkError()` Flush the stream if it's not closed and check its error state.
`protected java.lang.Object` | `clone()`
`protected java.io.Writer` | `findStreamCharBufferTarget(boolean markUsed)`
`void` | `flush()` Flush the stream.
`java.io.Writer` | `getFinalTarget()`
`java.io.Writer` | `getOut()`
`protected void` | `handleIOException(java.io.IOException e)`
`boolean` | `isAllowUnwrappingOut()`
`boolean` | `isFinalTargetHere()`
`boolean` | `isUsed()`
`GrailsPrintWriter` | `leftShift(java.lang.Object value)` Provides Groovy << left shift operator, but intercepts call to make sure nulls are converted to "" strings
`GrailsPrintWriter` | `leftShift(StreamCharBuffer otherBuffer)`
`GrailsPrintWriter` | `leftShift(groovy.lang.Writable writable)`
`GrailsPrintWriter` | `plus(java.lang.Object value)`
`void` | `print(java.lang.Object obj)` Print an object.
`void` | `print(java.lang.String s)` Print a string.
`void` | `print(boolean b)` delegate methods, not synchronized *
`void` | `print(char c)`
`void` | `print(int i)`
`void` | `print(long l)`
`void` | `print(float f)`
`void` | `print(double d)`
`void` | `print(char[] s)`
`void` | `print(StreamCharBuffer otherBuffer)`
`void` | `print(groovy.lang.Writable writable)`
`void` | `println()`
`void` | `println(boolean b)`
`void` | `println(char c)`
`void` | `println(int i)`
`void` | `println(long l)`
`void` | `println(float f)`
`void` | `println(double d)`
`void` | `println(char[] c)`
`void` | `println(java.lang.String s)`
`void` | `println(java.lang.Object o)`
`void` | `println(StreamCharBuffer otherBuffer)`
`boolean` | `resetUsed()`
`void` | `setFinalTargetHere(boolean finalTargetHere)`
`void` | `setUsed(boolean newUsed)`
`void` | `write(java.lang.String s)` Writes a string.
`void` | `write(int c)` Write a single character.
`void` | `write(char[] buf, int off, int len)` Write a portion of an array of characters.
`void` | `write(java.lang.String s, int off, int len)` Write a portion of a string.
`void` | `write(char[] buf)`
`void` | `write(StreamCharBuffer otherBuffer)`
`void` | `write(groovy.lang.Writable writable)`

Methods inherited from class java.io.PrintWriter

java.io.PrintWriter#println(char), java.io.PrintWriter#println(), java.io.PrintWriter#println(boolean), java.io.PrintWriter#println(java.lang.Object), java.io.PrintWriter#println(java.lang.String), java.io.PrintWriter#println([C), java.io.PrintWriter#println(double), java.io.PrintWriter#println(float), java.io.PrintWriter#println(long), java.io.PrintWriter#println(int), java.io.PrintWriter#append(java.lang.CharSequence), java.io.PrintWriter#append(java.lang.CharSequence), java.io.PrintWriter#append(java.lang.CharSequence, int, int), java.io.PrintWriter#append(char), java.io.PrintWriter#append(char), java.io.PrintWriter#append(java.lang.CharSequence, int, int), java.io.PrintWriter#append(java.lang.CharSequence), java.io.PrintWriter#append(char), java.io.PrintWriter#append(java.lang.CharSequence, int, int), java.io.PrintWriter#format(java.util.Locale, java.lang.String, [Ljava.lang.Object;), java.io.PrintWriter#format(java.lang.String, [Ljava.lang.Object;), java.io.PrintWriter#write([C), java.io.PrintWriter#write([C, int, int), java.io.PrintWriter#write(int), java.io.PrintWriter#write(java.lang.String, int, int), java.io.PrintWriter#write(java.lang.String), java.io.PrintWriter#print(java.lang.String), java.io.PrintWriter#print(java.lang.Object), java.io.PrintWriter#print(boolean), java.io.PrintWriter#print(char), java.io.PrintWriter#print(int), java.io.PrintWriter#print(long), java.io.PrintWriter#print(float), java.io.PrintWriter#print(double), java.io.PrintWriter#print([C), java.io.PrintWriter#flush(), java.io.PrintWriter#close(), java.io.PrintWriter#checkError(), java.io.PrintWriter#printf(java.lang.String, [Ljava.lang.Object;), java.io.PrintWriter#printf(java.util.Locale, java.lang.String, [Ljava.lang.Object;), java.io.PrintWriter#wait(), java.io.PrintWriter#wait(long), java.io.PrintWriter#wait(long, int), java.io.PrintWriter#equals(java.lang.Object), java.io.PrintWriter#toString(), java.io.PrintWriter#hashCode(), java.io.PrintWriter#getClass(), java.io.PrintWriter#notify(), java.io.PrintWriter#notifyAll()

Methods inherited from class java.io.Writer

java.io.Writer#append(java.lang.CharSequence), java.io.Writer#append(java.lang.CharSequence), java.io.Writer#append(java.lang.CharSequence, int, int), java.io.Writer#append(char), java.io.Writer#append(char), java.io.Writer#append(java.lang.CharSequence, int, int), java.io.Writer#write([C, int, int), java.io.Writer#write(int), java.io.Writer#write([C), java.io.Writer#write(java.lang.String), java.io.Writer#write(java.lang.String, int, int), java.io.Writer#flush(), java.io.Writer#close(), java.io.Writer#wait(), java.io.Writer#wait(long), java.io.Writer#wait(long, int), java.io.Writer#equals(java.lang.Object), java.io.Writer#toString(), java.io.Writer#hashCode(), java.io.Writer#getClass(), java.io.Writer#notify(), java.io.Writer#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### CRLF

    protected static final char[] CRLF

### LOG

    protected static final Log LOG

### allowUnwrappingOut

    protected boolean allowUnwrappingOut

### out

    protected java.io.Writer out

### trouble

    protected boolean trouble

### usageFlag

    protected boolean usageFlag

Constructor Detail

### GrailsPrintWriter

    public GrailsPrintWriter(java.io.Writer out)

Method Detail

### append

    @Override
    public java.io.PrintWriter append(char c)

### append

    @Override
    public java.io.PrintWriter append(java.lang.CharSequence csq, int start, int end)

### append

    @Override
    public java.io.PrintWriter append(java.lang.CharSequence csq)

### append

    public GrailsPrintWriter append(java.lang.Object obj)

### append

    public void append(StreamCharBuffer otherBuffer)

### checkError

    @Override
    public boolean checkError()

  Flush the stream if it's not closed and check its error state. Errors are cumulative; once the stream encounters an error, this routine will return true on all successive calls.
  Returns:
    True if the print stream has encountered an error, either on the underlying output stream or during a format conversion.

### clone

    @Override
    protected java.lang.Object clone()

### findStreamCharBufferTarget

    protected java.io.Writer findStreamCharBufferTarget(boolean markUsed)

### flush

    @Override
    public void flush()

  Flush the stream.
  See Also:
    checkError()

### getFinalTarget

    public java.io.Writer getFinalTarget()

### getOut

    public java.io.Writer getOut()

### handleIOException

    protected void handleIOException(java.io.IOException e)

### isAllowUnwrappingOut

    public boolean isAllowUnwrappingOut()

### isFinalTargetHere

    public boolean isFinalTargetHere()

### isUsed

    public boolean isUsed()

### leftShift

    public GrailsPrintWriter leftShift(java.lang.Object value)

  Provides Groovy << left shift operator, but intercepts call to make sure nulls are converted to "" strings
  throws:
    IOException
  Parameters:
    `value` - The value
  Returns:
    Returns this object

### leftShift

    public GrailsPrintWriter leftShift(StreamCharBuffer otherBuffer)

### leftShift

    public GrailsPrintWriter leftShift(groovy.lang.Writable writable)

### plus

    public GrailsPrintWriter plus(java.lang.Object value)

### print

    @Override
    public void print(java.lang.Object obj)

  Print an object. The string produced by the `java.lang.String#valueOf(Object)` method is translated into bytes according to the platform's default character encoding, and these bytes are written in exactly the manner of the `write(int)` method.
  Parameters:
    `obj` - The `Object` to be printed
  See Also:
    java.lang.Object#toString()

### print

    @Override
    public void print(java.lang.String s)

  Print a string. If the argument is `null` then the string `""` is printed. Otherwise, the string's characters are converted into bytes according to the platform's default character encoding, and these bytes are written in exactly the manner of the `write(int)` method.
  Parameters:
    `s` - The `String` to be printed

### print

    @Override
    public void print(boolean b)

  delegate methods, not synchronized *

### print

    @Override
    public void print(char c)

### print

    @Override
    public void print(int i)

### print

    @Override
    public void print(long l)

### print

    @Override
    public void print(float f)

### print

    @Override
    public void print(double d)

### print

    @Override
    public void print(char[] s)

### print

    public void print(StreamCharBuffer otherBuffer)

### print

    public void print(groovy.lang.Writable writable)

### println

    @Override
    public void println()

### println

    @Override
    public void println(boolean b)

### println

    @Override
    public void println(char c)

### println

    @Override
    public void println(int i)

### println

    @Override
    public void println(long l)

### println

    @Override
    public void println(float f)

### println

    @Override
    public void println(double d)

### println

    @Override
    public void println(char[] c)

### println

    @Override
    public void println(java.lang.String s)

### println

    @Override
    public void println(java.lang.Object o)

### println

    public void println(StreamCharBuffer otherBuffer)

### resetUsed

    public boolean resetUsed()

### setFinalTargetHere

    public void setFinalTargetHere(boolean finalTargetHere)

### setUsed

    public void setUsed(boolean newUsed)

### write

    @Override
    public void write(java.lang.String s)

  Writes a string. If the argument is `null` then the string `""` is printed.
  Parameters:
    `s` - The `String` to be printed

### write

    @Override
    public void write(int c)

  Write a single character.
  Parameters:
    `c` - int specifying a character to be written.

### write

    @Override
    public void write(char[] buf, int off, int len)

  Write a portion of an array of characters.
  Parameters:
    `buf` - Array of characters
    `off` - Offset from which to start writing characters
    `len` - Number of characters to write

### write

    @Override
    public void write(java.lang.String s, int off, int len)

  Write a portion of a string.
  Parameters:
    `s` - A String
    `off` - Offset from which to start writing characters
    `len` - Number of characters to write

### write

    @Override
    public void write(char[] buf)

### write

    public void write(StreamCharBuffer otherBuffer)

### write

    public void write(groovy.lang.Writable writable)

Groovy Documentation